Bug 197761 - OpenOffice randomly locks system
OpenOffice randomly locks system
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 23:25 EDT by Nicholas Miell
Modified: 2008-05-06 20:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:34:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2006-07-05 23:25:16 EDT
OpenOffice will randomly and instantly hard lock the kernel. The system doesn't
respond to pings or magic-sysrq. This can usually be triggered eventually by
mousing through the menus.

This might be related to x86-on-AMD64 emulation (this is an AMD64 system), but I
have no reason to justify that suspicion other than a gut instinct.

This has happened on every kernel version that I can ever remember running with
OpenOffice.
Comment 1 Rik van Riel 2006-10-02 23:32:20 EDT
I have seen OOo trigger a hang in X (which sometimes goes away after a few
minutes), which might look like a kernel bug if your X hardware driver was
caught at an unlucky timing.

Can you reproduce this problem with the latest X RPMs ?
Comment 2 Nicholas Miell 2006-10-02 23:57:26 EDT
Well, the system stops responding to pings and ssh doesn't connect, so it's more
than just a simple X bug.

It hasn't happened it quite some time, but I've been using
xorg-x11-server-Xorg-1.1.0-25.fc6 rebuilt for use on FC5, so maybe it was just X
driver problem.
Comment 3 Nicholas Miell 2006-10-24 18:27:47 EDT
OK, it happened again on a FC6 system with 64-bit OOo packages, so I'm no longer
inclined to suspect the kernel's 32-on-64 emulation.

Blaming it on X (or, more specifically, the R200 driver) seems more reasonable
at this point.
Comment 4 Mathias Kvrber 2007-08-20 21:20:15 EDT
In
http://people.debian.org/~terpstra/message/20070813.160904.0c8331a8.en.html
something similar (OOo hanging Xorg when menu is selected) is reported as fixed
in a later xorg release. I still see this with FC6 x86_64's current(?) Build ID:
xorg-x11-server 1.1.1-47.10.fc6

Comment 5 Bug Zapper 2008-04-03 13:31:59 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 20:34:44 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.